Последние сообщения

Последние сообщения

Страницы: [1] 2 3 ... 10
1
А как назначить материал компоненту сборки? Можете дать ссылку?
Посмотри обсуждение здесь: https://forums.autodesk.com/t5/inventor-customization/change-material-of-part-in-assembly-inventor-2014-2015/td-p/5128944
2
Command - любая команда, key - ее параметр
Понятно. Ну если работает - хорошо. В ряде случаев .SendCommand работает синхронно, в ряде случаев асинхронно. Так что тут как повезёт.
P.S.: Хотел бы внести точность в терминологию. У команд AutoCAD нет параметров. Есть так называемые опции.
3
AutoCAD .NET API / Re: Снова SendStringToExecute или Command С# ACAD2018 + AS2018
« Последний ответ от Brayan 22-06-2018, 16:50:43 »
Command - любая команда, key - ее параметр
4
Заработало вот так:
Это что такое: "._Command " ???
5
Отлично! Мои поздравления :)
6
Вот тут есть пример. Надо только немного допилить под нужды: http://adn-cis.org/forum/index.php?topic=2983.0
Алексей, посмотрите внимательно мой код по этой ссылке (который "от переводчика"). Строки 149-152.

Спасибо! Все получилось! Ура!
7
AutoCAD .NET API / Re: Снова SendStringToExecute или Command С# ACAD2018 + AS2018
« Последний ответ от Brayan 22-06-2018, 15:54:02 »
Заработало вот так:

Код - C# [Выбрать]
  1. using Autodesk.AutoCAD.Interop;
  2. //C:\Program Files\Autodesk\AutoCAD 2018\Autodesk.AutoCAD.Interop.dll
  3. //C:\Program Files\Autodesk\AutoCAD 2018\Autodesk.AutoCAD.Interop.Common.dll
  4.  
  5.  
  6. [CommandMethodAttribute("TEST_GROUP", "GRPBYROLE", "ГРПОФУНКЦ", CommandFlags.Modal | CommandFlags.UsePickSet | CommandFlags.Redraw | CommandFlags.Session)]
  7. ...
  8. AcadApplication app = (AcadApplication)Autodesk.AutoCAD.ApplicationServices.Application.AcadApplication;
  9. ...
  10. string key =...;
  11. app.ActiveDocument.SendCommand("._Command " + key + " ");
8
Вот тут есть пример. Надо только немного допилить под нужды: http://adn-cis.org/forum/index.php?topic=2983.0
Алексей, посмотрите внимательно мой код по этой ссылке (который "от переводчика"). Строки 149-152.
9
Да, у трассы есть метод получения её видов профилей: http://docs.autodesk.com/CIV3D/2019/ENU/API_Reference_Guide/html/8009e280-e5dc-0f19-bab8-aaed693eca5d.htm
Спасибо!
А как получить точку начала профиля (т.е. откуда рисуется первая труба)
на виде профиля?
1) ProfileView.Location
2) ProfileView.GetLocalExtents
Или другой метод есть?
10
А как назначить материал компоненту сборки? Можете дать ссылку?
Страницы: [1] 2 3 ... 10